#
# spec file for package python-django-tastypie
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-django-tastypie
Version:        0.12.1
Release:        4.1
Url:            http://github.com/toastdriven/django-tastypie/
Summary:        A flexible & capable API layer for Django
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/d/django-tastypie/django-tastypie-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-dateutil >= 1.5
Requires:       python-django >= 1.2
Requires:       python-mimeparse >= 0.1.3
Recommends:     python-lxml
Recommends:     python-PyYAML
Recommends:     python-biplist
Recommends:     python-python-digest
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Creating delicious APIs for Django apps since 2010.

%prep
%setup -q -n django-tastypie-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS LICENSE README.rst docs/_build/html
%{python_sitelib}/*

%changelog
* Wed Apr 22 2015 mcihar@suse.cz
- Update to version 0.12.1:
  * Drastic reworking of the test suite. (SHA: 95f57f7)
  * Fixed Travis to run Python 3.4 tests. (SHA: 7af528c)
  * Fixed a bug where URLs would be incorrectly handled if the ``api_name`` &
    ``resource_name`` were the same. (SHA: fd55aa3)
  * Fixed a test requirement for PyYAML. (SHA: b4f6531)
  * Added support for Django 1.7. (SHA: 7881bb6)
  * Documentation updates
* Mon Jul  7 2014 mcihar@suse.cz
- Update to verson 0.11.1
  + Fixes XSS
  + Fixes security issue in URL parsing
  + Many other bugfixes
* Sat Sep 28 2013 p.drouand@gmail.com
- Update to version 0.10
  + No changelog available
- Replace python-distribute with python-setuptools BuildRequires
* Mon Jul 15 2013 mcihar@suse.cz
- Update to version 0.9.15:
  * No changelog available
* Thu Feb 14 2013 p.drouand@gmail.com
- Update to version 0.9.12:
  * No changelog available
* Wed Mar 21 2012 saschpe@gmx.de
- Initial version
